diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./config/Makefile.config.in ./config/Makefile.config.in
--- ./config/Makefile.config.in	2005-03-02 20:28:12.000000000 +0100
+++ ./config/Makefile.config.in	2005-04-04 22:34:51.000000000 +0200
@@ -45,6 +45,7 @@
 REQUIRED_LABLGTK=@REQUIRED_LABLGTK@
 
 ICONV=@ICONV@
+LOCALECHARSET=@LOCALECHARSET@
 ZLIB=@ZLIB@
 COMPRESS=@COMPRESS@
 COMPRESS_EXT=@COMPRESS_EXT@
diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./config/configure.in ./config/configure.in
--- ./config/configure.in	2005-04-04 22:25:55.000000000 +0200
+++ ./config/configure.in	2005-04-04 22:34:51.000000000 +0200
@@ -1,6 +1,6 @@
 
 AC_REVISION(norev)
-AC_PREREQ(2.59)
+AC_PREREQ(2.56)
 AC_INIT(Makefile.config.in)
 AC_CONFIG_HEADER(config.h)
 
@@ -463,7 +463,29 @@
 fi
 
 ICONV=no
-AC_CHECK_LIB(iconv,iconv_open,[ICONV=yes])
+case $host in
+        *mingw*)
+           AC_CHECK_LIB(iconv,libiconv_open,[ICONV=yes])
+        ;;
+        *)
+           AC_CHECK_LIB(iconv,iconv_open,[ICONV=yes])
+        ;;
+esac
+if test "$ICONV" = "no"; then
+  echo "libiconv is missing, did you install the libraries and the developer packages?"
+  echo "Check libiconv is in your path."
+  exit 1
+fi
+
+LOCALECHARSET=no
+AC_CHECK_LIB(charset,locale_charset,[LOCALECHARSET=yes])
+if test "$LOCALECHARSET" = "no"; then
+  echo "libcharset is missing, it is part of the libiconv library."
+  echo "Did you install the libraries and the developer packages?"
+  echo "Check libiconv is in your path."
+  exit 1
+fi
+
 
 SHA1_VERSION=sha1new
 AC_CHECK_HEADERS(endian.h byteswap.h,,[
@@ -1041,6 +1063,7 @@
 AC_SUBST(MD4COMP)
 AC_SUBST(ZLIB)
 AC_SUBST(ICONV)
+AC_SUBST(LOCALECHARSET)
 
 AC_SUBST(AUDIO_GALAXY)
 AC_SUBST(OPEN_NAPSTER)
diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/daemon/common/commonFile.ml ./src/daemon/common/commonFile.ml
--- ./src/daemon/common/commonFile.ml	2005-03-20 02:41:29.000000000 +0100
+++ ./src/daemon/common/commonFile.ml	2005-04-04 22:34:51.000000000 +0200
@@ -195,7 +195,7 @@
 
 let file_save_as (file : file) name =
   let file = as_file_impl file in
-  file.impl_file_ops.op_file_save_as file.impl_file_val name
+  file.impl_file_ops.op_file_save_as file.impl_file_val (Charset.to_locale name)
 
 let file_comment (file : file) =
   let file = as_file_impl file in
diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/daemon/common/commonInteractive.ml ./src/daemon/common/commonInteractive.ml
--- ./src/daemon/common/commonInteractive.ml	2005-03-02 20:28:14.000000000 +0100
+++ ./src/daemon/common/commonInteractive.ml	2005-04-04 22:34:51.000000000 +0200
@@ -65,7 +65,7 @@
   
 let file_commited_name incoming_dir file =   
   let network = file_network file in
-  let best_name = file_best_name file in
+  let best_name = Charset.to_locale (file_best_name file) in
   (try Unix2.safe_mkdir incoming_dir with _ -> ());
   let new_name = 
     Filename.concat incoming_dir (canonize_basename  best_name)
